## r-cran-spatial 7.3

=== DESCRIPTION ===
Package: spatial
Priority: recommended
Version: 7.3-13
Date: 2021-01-21
Depends: R (>= 3.0.0), graphics, stats, utils
Suggests: MASS
Authors@R: c(person("Brian", "Ripley", role = c("aut", "cre", "cph"),
                    email = "ripley@stats.ox.ac.uk"),
	     person("Roger", "Bivand", role = "ctb"),
             person("William", "Venables", role = "cph"))
Description: Functions for kriging and point pattern analysis.
Title: Functions for Kriging and Point Pattern Analysis
LazyLoad: yes
ByteCompile: yes
License: GPL-2 | GPL-3
URL: http://www.stats.ox.ac.uk/pub/MASS4/
NeedsCompilation: yes
Packaged: 2021-01-21 19:54:20 UTC; ripley
Author: Brian Ripley [aut, cre, cph],
  Roger Bivand [ctb],
  William Venables [cph]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2021-01-24 09:27:46 UTC

## r-cran-spatial 7.3-12

=== debian/changelog ===
r-cran-spatial (7.3-12-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:34:13 +0000

r-cran-spatial (7.3-12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Apr 2020 08:47:27 -0500

r-cran-spatial (7.3-11-2.1) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 14:14:14 -0500

r-cran-spatial (7.3-11-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 10:10:25 -0500

r-cran-spatial (7.3-11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Aug 2015 11:09:44 -0500

r-cran-spatial (7.3-10-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2015 08:47:40 -0500

r-cran-spatial (7.3-9-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 07:08:19 -0600

r-cran-spatial (7.3-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Mar 2014 06:31:08 -0500

r-cran-spatial (7.3-7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:06:00 -0500

r-cran-spatial (7.3-6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Mar 2013 21:35:45 -0500

r-cran-spatial (7.3-5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Oct 2012 12:09:24 -0500

r-cran-spatial (7.3-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jun 2012 12:17:48 -0500

r-cran-spatial (7.3-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 02 Nov 2011 15:59:54 -0500

r-cran-spatial (7.3-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Provided extended long Description:

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Apr 2010 08:10:33 -0500

r-cran-spatial (7.3-1-1) unstable; urgency=low

  * Initial Debian package				(Closes: #551132)
  
  * spatial used to be part of the VR bundle which has been in Debian as package
    r-cran-vr since Jan 2004, and as part of the r-base package since Dec 1997.
    It has been unbundled with deprecation of package bundles in R 2.10.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Oct 2009 19:43:36 -0500

=== debian/control ===
Source: r-cran-spatial
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-spatial
Vcs-Git: https://salsa.debian.org/edd/r-cran-spatial.git
Homepage: https://cran.r-project.org/package=spatial

Package: r-cran-spatial
Architecture: any
Replaces: r-cran-vr (<< 7.3-0)
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R package for spatial statistics
 The spatial package provides functions and datasets to support
 chapter 15 on 'Spatial Statistic' in the book 'Modern Applied
 Statistics with S' (4th edition) by W.N. Venables and
 B.D. Ripley. The following URL provides more details about the book:
 URL: http://www.stats.ox.ac.uk/pub/MASS4

## r-cran-spatial 7.3-13

=== debian/changelog ===
r-cran-spatial (7.3-13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jan 2021 09:36:07 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spatial
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spatial.git
 Homepage: https://cran.r-project.org/package=spatial

## r-cran-spatial 7.3-15

=== debian/changelog ===
r-cran-spatial (7.3-15-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jan 2022 08:27:40 -0600

r-cran-spatial (7.3-14-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 17:21:57 -0500

r-cran-spatial (7.3-14-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2021 15:00:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spatial
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spatial.git
 Homepage: https://cran.r-project.org/package=spatial

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-spatial package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-spatial 7.3-16

=== debian/changelog ===
r-cran-spatial (7.3-16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Jan 2023 07:06:32 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spatial
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spatial.git
 Homepage: https://cran.r-project.org/package=spatial

## r-cran-spatial 7.3-17

=== debian/changelog ===
r-cran-spatial (7.3-17-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:30 +0200

r-cran-spatial (7.3-17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jul 2023 09:12:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: r-cran-spatial
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spatial
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spatial.git

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/spatial_([-0-9\.]*)\.tar.gz

## r-cran-spatial 7.3-18

=== debian/changelog ===
r-cran-spatial (7.3-18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Jan 2025 09:40:08 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-cran-spatial
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
-Standards-Version: 4.6.2
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spatial
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spatial.git
 Homepage: https://cran.r-project.org/package=spatial
